require 'yaml'

_globals_content = File.read('settings.yaml')
_globals = YAML.load(_globals_content)
_rake = _globals['rake']

SFG_RENDER_VERSION = _rake['sgf_render']['version']
REVEAL_JS_DIR = _rake['js_dirs']['revealjs']
OUT_DIR = _rake['build']['target_dir']
NODE_MODULES_DIR = _rake['js_dirs']['node_modules']
PORT = _rake['present']['port']
SOURCE_FILE_NAME = _rake['build']['source_file']
GOBAN_DIR = _rake['figures']['dir']
GOBAN_NODES = _rake['figures']['nodes']
GOBAN_STYLE = _rake['figures']['style']

TMP_DIR = File.join(".", ".tmp")
TOOLS_DIR = File.join(".", "tools")
REVEAL_DIR = File.join(TOOLS_DIR, REVEAL_JS_DIR)
TOOLS_BIN_DIR = File.join(TOOLS_DIR, "bin")

SOURCE_FILE = File.join('.', SOURCE_FILE_NAME)
TARGET_DIRECTORY = File.join('.', OUT_DIR)
TARGET_FILE = File.join(TARGET_DIRECTORY, "index.html")
SETTINGS_FILE = SOURCE_FILE.ext(".yaml")
