require 'launchy'
require 'webrick'

namespace :present do
    task :open do
       Launchy.open("http://localhost:#{PORT}/") 
    end

    task :serve do
        root = TARGET_DIRECTORY
        server = WEBrick::HTTPServer.new :Port => PORT, :DocumentRoot => root

        trap 'INT' do 
            server.shutdown
        end

        server.start
    end
end
