require 'fileutils'

namespace :assets do
    assets_dir = File.join(TARGET_DIRECTORY, "assets")
    assets_css_dir = File.join(assets_dir, "css")
    assets_img_dir = File.join(assets_dir, "images")
    assets_image = File.join(assets_img_dir, "dgob.jpg")
    assets_css = File.join(assets_css_dir, "dgob.css")
        
    task :dir do
        Dir.mkdir(TARGET_DIRECTORY) unless Dir.exists?(TARGET_DIRECTORY) 
        Dir.mkdir(assets_dir) unless Dir.exists?(assets_dir) 
        Dir.mkdir(assets_css_dir) unless Dir.exists?(assets_css_dir) 
        Dir.mkdir(assets_img_dir) unless Dir.exists?(assets_img_dir) 
    end

    task css: [ "dir", assets_css ] do
    end

    file assets_css do
        css_file = File.join(".", "dgob.css")
        FileUtils.cp(css_file, assets_css)
    end

    task img: [ "dir", assets_image ] do
    end

    file assets_image do
        img_file = File.join(".", "dgob.jpg")
        FileUtils.cp(img_file, assets_image)
    end
end