require 'fileutils'

namespace :clean do
    task :yarn do
        FileUtils.rm_rf(NODE_MODULES_DIR) if Dir.exists?(NODE_MODULES_DIR)
    end
    
    task :sgf_render do
        FileUtils.rm_rf(TOOLS_BIN_DIR) if Dir.exists?(TOOLS_BIN_DIR)
    end

    task :tmp do
        FileUtils.rm_rf(TMP_DIR) if Dir.exists?(TMP_DIR)
    end

    task :out do
        FileUtils.rm_rf(TARGET_DIRECTORY) if Dir.exists?(TARGET_DIRECTORY)
    end

    task :figures do
        Dir.glob(File.join(GOBAN_DIR, "*.png")).each do |file|
            FileUtils.rm(file)
        end
    end
end
